mod bump;
mod conventional_commits;
mod gitea;

use clap::Command;
use tracing_subscriber::EnvFilter;

const VERSION: &'static str = "<dev>";

#[tokio::main]
async fn main() -> eyre::Result<()> {
    color_eyre::install().unwrap();

    tracing_subscriber::fmt()
        .pretty()
        .with_env_filter(EnvFilter::from_default_env())
        .init();

    let matches = clap::Command::new("releaser")
        .version(VERSION)
        .author("kjuulh <contact@kjuulh.io>")
        .about("A CLI app for releasing software and managing versions")
        .subcommand(Command::new("release").about("Release the software"))
        .subcommand(
            Command::new("validate").about("Validate the semantic versioning of the software"),
        )
        .subcommand(Command::new("bump").about("Bump the semantic versioning in git tags"))
        .get_matches();

    match matches.subcommand() {
        Some(("release", sub_matches)) => {}
        Some(("validate", sub_matches)) => {}
        Some(("bump", sub_matches)) => {}
        _ => unreachable!(),
    }

    Ok(())
}
